# trader_macd

(PECL trader >= 0.2.0)

trader_macd — Moving Average Convergence/Divergence

### Description

trader_macd ( array `$real` [, int `$fastPeriod` [, int `$slowPeriod` [, int `$signalPeriod` ]]] ) : array

### Parameters

`real`

  Array of real values.

`fastPeriod`

  Number of period for the fast MA. Valid range from 2 to 100000.

`slowPeriod`

  Number of period for the slow MA. Valid range from 2 to 100000.

`signalPeriod`

  Smoothing for the signal line (nb of period). Valid range from 1 to 100000.

### Return Values

Returns an array with calculated data or false on failure.